# AntlrSourceVirtualDirectory

API Documentation: | `AntlrSourceVirtualDirectory`

Contract for a Gradle "convention object" that acts as a handler for what I call a virtual directory mapping, injecting a virtual directory named 'antlr' into the project's various `SourceSet`.

### Properties

Property | Description
`antlr` | All Antlr source for this source set.

### Methods

Method | Description
`antlr(configureAction)` | Configures the Antlr source for this set. The given action is used to configure the `SourceDirectorySet` (see `AntlrSourceVirtualDirectory.getAntlr()`) which contains the Antlr source.

### Script blocks

Block | Description
`antlr` | Configures the Antlr source for this set. The given closure is used to configure the `SourceDirectorySet` (see `AntlrSourceVirtualDirectory.getAntlr()`) which contains the Antlr source.

### Property details

#### `SourceDirectorySet` `antlr` (read-only)

All Antlr source for this source set.

Default with `antlr` plugin:
  `[`${project.projectDir}`/src/`${sourceSet.name}`/antlr]`

### Method details

#### `AntlrSourceVirtualDirectory` `antlr`(``Action`<? super `SourceDirectorySet`>` configureAction)

Configures the Antlr source for this set. The given action is used to configure the `SourceDirectorySet` (see `AntlrSourceVirtualDirectory.getAntlr()`) which contains the Antlr source.

### Script block details

#### `antlr` { }

Configures the Antlr source for this set. The given closure is used to configure the `SourceDirectorySet` (see `AntlrSourceVirtualDirectory.getAntlr()`) which contains the Antlr source.

Delegates to:
  `SourceDirectorySet` from `antlr`